unit TransParser;

interface
   uses IcXMLParser, IcXMLStrings, classes;
type
   TParseTrans = class
     private
        XMLParser: TIcXMLParser;
        doc      : TIcXMLDocument;
        FileName : String;

     public
        constructor Create(XMLParser: TIcXMLParser; FName: String);
        destructor Destroy();
        function Parse(): Boolean;
        //~function XMLtoObject();
   end;
implementation

   constructor TParseTrans.Create(XMLParser: TIcXMLParser; FName : String );
   begin
       self.XMLParser:=XMLParser;
       { o documento ( DOM ) aponta para nada }
       doc:=nil;
       { Cria o parser e activa as propriedades de validacao de documentos
         e de obrigatoriedade de Standard XML }
       //XMLParser:=TXMLParser.Create(ParWin);
       self.XMLParser.StandardXML := true;
       self.XMLParser.ValidateDocument := true;
       self.FileName:=FName;
   end;

   destructor TParseTrans.Destroy();
   begin
        if doc<>nil
        then
            doc.free;
   end;

   function TParseTrans.Parse():Boolean;
   var
        res: boolean;
   begin
        res:=self.XMLParser.Parse(self.FileName, self.doc);
        Parse:=res;
   end;

   

end.
