unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, ComCtrls, StdCtrls, Menus, ImgList, ToolWin,
  ExtCtrls,Buttons,ClipBrd,RichEdit, MyMPlayer,XPMenu;

type

  HMSRec = record
    Hours: byte;
    Minutes: byte;
    Seconds: byte;
    NotUsed: byte;

  end;

  TfrmPrincipal = class(TForm)
    StatusBar1: TStatusBar;
    ActionList1: TActionList;
    FileNew: TAction;
    FileOpen: TAction;
    FileSave: TAction;
    FileSaveAs: TAction;
    FilePrint: TAction;
    FileExit: TAction;
    EditUndo: TAction;
    EditCut: TAction;
    EditCopy: TAction;
    EditPaste: TAction;
    EditSelectAll: TAction;
    ProcLoc: TAction;
    ProcLocAgain: TAction;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    Ficheiro1: TMenuItem;
    Novo1: TMenuItem;
    Abrir1: TMenuItem;
    Guardar1: TMenuItem;
    GuardarComo1: TMenuItem;
    Imprimir1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    Sair1: TMenuItem;
    Editar1: TMenuItem;
    Anular1: TMenuItem;
    N3: TMenuItem;
    Cortar1: TMenuItem;
    Copiar1: TMenuItem;
    Passar1: TMenuItem;
    N4: TMenuItem;
    SeleccionarTudo1: TMenuItem;
    Multimdia1: TMenuItem;
    AbrirMdia1: TMenuItem;
    N5: TMenuItem;
    Tocar1: TMenuItem;
    Pausa1: TMenuItem;
    Parar1: TMenuItem;
    N6: TMenuItem;
    Inicio1: TMenuItem;
    N7: TMenuItem;
    Marcar1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    PrintDialog1: TPrintDialog;
    PrinterSetupDialog1: TPrinterSetupDialog;
    FindDialog1: TFindDialog;
    ReplaceDialog1: TReplaceDialog;
    OpenDialog2: TOpenDialog;
    PopupMenu1: TPopupMenu;
    Pausa2: TMenuItem;
    AbrirMdia2: TMenuItem;
    Sair2: TMenuItem;
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    ToolBar2: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    Splitter1: TSplitter;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    HotImageList2: TImageList;
    ImageList3: TImageList;
    ToolButton10: TToolButton;
    ToolButton11: TToolButton;
    ToolButton12: TToolButton;
    ToolButton13: TToolButton;
    TrackBar1: TTrackBar;
    Splitter2: TSplitter;
    Splitter3: TSplitter;
    ActionList2: TActionList;
    MediaOpen: TAction;
    MediaPlay: TAction;
    MediaPause: TAction;
    MediaStop: TAction;
    MediaStart: TAction;
    MediaFinish: TAction;
    MediaMark: TAction;
    ComboBox1: TComboBox;
    Cortar2: TMenuItem;
    Copiar2: TMenuItem;
    Passar2: TMenuItem;
    SeleccionarTudo2: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    Anular2: TMenuItem;
    Ajuda1: TMenuItem;
    Sobre1: TMenuItem;
    Sobre: TAction;
    Timer1: TTimer;
    ToolButton14: TToolButton;
    ToolButton16: TToolButton;
    ToolButton17: TToolButton;
    MediaBack: TAction;
    MediaForward: TAction;
    MediaGravar: TAction;
    MediaEject: TAction;
    FilePropriedades: TAction;
    Propriedades1: TMenuItem;
    PlayList: TAction;
    ToolButton9: TToolButton;
    Editor: TRichEdit;
    XPMenu1: TXPMenu;
    Splitter4: TSplitter;
    Splitter5: TSplitter;
    Opes1: TMenuItem;
    Geral1: TMenuItem;
    FontDialog1: TFontDialog;
    Font1: TMenuItem;
    ConfigurarPgina1: TMenuItem;
    EditFind: TAction;
    TagPergunta: TAction;
    TagResposta: TAction;
    EditGoToLine: TAction;
    Irparaalinha1: TMenuItem;
    ToolButton15: TToolButton;
    ToolButton18: TToolButton;
    EditSearchReplace: TAction;
    Procurar1: TMenuItem;
    EditFind1: TMenuItem;
    Procurarealterar1: TMenuItem;
    N10: TMenuItem;
    Irparaalinha2: TMenuItem;
    XML1: TMenuItem;
    pergunta1: TMenuItem;
    resposta1: TMenuItem;
    HighLight: TAction;
    MyMediaPlayer1: TMyMediaPlayer;
    
//    procedure GetFontNames;
    procedure FileNewExecute(Sender: TObject);
    procedure FileOpenExecute(Sender: TObject);
    procedure FileSaveExecute(Sender: TObject);
    procedure FileSaveAsExecute(Sender: TObject);
    procedure FilePrintExecute(Sender: TObject);
    procedure FileExitExecute(Sender: TObject);
    procedure MediaOpenExecute(Sender: TObject);
    procedure MediaPlayExecute(Sender: TObject);
    procedure MediaPauseExecute(Sender: TObject);
    procedure MediaStopExecute(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);

    function CurrText: TTextAttributes;
    procedure InitializeValues(Sender : TObject);
    procedure FormCreate(Sender: TObject);
    function AudioPercent(Position, Max: integer):integer;
    procedure MediaStartExecute(Sender: TObject);
    procedure MediaFinishExecute(Sender: TObject);
    procedure MediaMarkExecute(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
    procedure SetFileName(const FName: String);
    procedure CheckFileSave;
    procedure PerformFileOpen(Sender: TObject; const AFileName: string);
    procedure SetModified(Value: Boolean);
    procedure EditUndoExecute(Sender: TObject);
    procedure EditCutExecute(Sender: TObject);
    procedure EditCopyExecute(Sender: TObject);
    procedure EditPasteExecute(Sender: TObject);
    procedure ActionList1Update(Action: TBasicAction;
      var Handled: Boolean);
    procedure EditorChange(Sender: TObject);
    procedure Sobre1Click(Sender: TObject);

    procedure Timer1Timer(Sender: TObject);
    procedure MediaBackExecute(Sender: TObject);
    procedure MediaForwardExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FilePropriedadesExecute(Sender: TObject);
    procedure PlayListExecute(Sender: TObject);

    procedure FontNameChange(Sender: TObject);
    procedure Font1Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure EditorSelectionChange(Sender: TObject);
    procedure ConfigurarPgina1Click(Sender: TObject);
    procedure EditSelectAllExecute(Sender: TObject);
    procedure EditFindExecute(Sender: TObject);
    procedure FindDialog1Find(Sender: TObject);
    procedure HighlightText(RichEdit:TRichEdit;tag:string);
    procedure HighLightTags(Sender : TObject);

    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditGoToLineExecute(Sender: TObject);
    procedure ReplaceDialog1Replace(Sender: TObject);
    procedure ReplaceDialog1Close(Sender: TObject);
    procedure EditSearchReplaceExecute(Sender: TObject);
    procedure HighLightExecute(Sender: TObject);
    procedure MyMediaPlayer1Notify(Sender: TObject);
  private
    { Private declarations }

        FUpdating: Boolean;
        SearchContinue: boolean;

    procedure UpdateCursorPos;

  public
    { Public declarations }
    lastdir : String;
    FileName: String;
    AudioFile: String;
    AudioPause: Boolean;
    AudioPosition: Longint;
    AudioTime: String;
    Atraso : integer;
  end;

  tempo=record
      h : 0..60;
      m : 0..60;
      s : 0..60;
  end;


const

  ModeStr: array[TMPModes] of string = ('Not ready', 'Stopped', 'Playing',
                                   'Recording', 'Seeking', 'Paused', 'Open');
  PAUSA : Integer=2000;

var
  frmPrincipal: TfrmPrincipal;
  time : tempo;

implementation

uses frmMarcar,ShellAPI, sobre,frmSplash,frmPropriedades,ListaMp3, Multimedia,
  GoToLine;

resourcestring
  sSaveChanges = 'Save changes to %s?';
  sOverWrite = 'OK to overwrite %s';
  sUntitled = 'Untitled';
  sModified = 'Modified';
  sColRowInfo = 'Line: %3d   Col: %3d';

{$R *.DFM}

function TfrmPrincipal.CurrText: TTextAttributes;
begin
  if Editor.SelLength > 0 then Result := Editor.SelAttributes
  else Result := Editor.DefAttributes;
end;

function EnumFontsProc(var LogFont: TLogFont; var TextMetric: TTextMetric;
  FontType: Integer; Data: Pointer): Integer; stdcall;
begin
  TStrings(Data).Add(LogFont.lfFaceName);
  Result := 1;
end;

{procedure TfrmPrincipal.GetFontNames;
var
  DC: HDC;
begin
  DC := GetDC(0);
  EnumFonts(DC, nil, @EnumFontsProc, Pointer(FontName.Items));
  ReleaseDC(0, DC);
  FontName.Sorted := True;
end; }

procedure TfrmPrincipal.SetFileName(const FName: string);
begin
     FileName:= FName;
     Caption:= Format('%s - %s',[ExtractFileName(FileName),Application.title]);
end;

procedure TfrmPrincipal.SetModified(Value: Boolean);
begin
  if Value then StatusBar1.Panels[1].Text := 'Modified'
  else StatusBar1.Panels[1].Text := '';
end;

procedure TfrmPrincipal.CheckFileSave;
var
  SaveResp: Integer;
begin
  if not Editor.Modified then Exit;
  SaveResp := MessageDlg(Format('Pretende gravar o documento ?', [FileName]),
    mtConfirmation, mbYesNoCancel, 0);
  case SaveResp of
    idYes: FileSaveExecute(Self);
    idNo: {Nothing};
    idCancel: Abort;
  end;
end;

procedure TfrmPrincipal.InitializeValues(Sender: TObject);
begin
   // cria um novo documento
   //doc:=TDocTranscricao.Create;
   // limpa combobox das marcas
   frmPrincipal.ComboBox1.Clear;
   // limpa lista de ficheiros multimedia
   frmListaMultimedia.ListBox1.Clear;
   MediaStopExecute(Sender);
   AudioFile := '';

   // remove o texto do editor
   Editor.Lines.Clear;
   Editor.Modified := False;
end;

procedure TfrmPrincipal.FileNewExecute(Sender: TObject);
begin
     CheckFileSave;
     //doc:=TDocTranscricao.Create;
     {frmPrincipal.ComboBox1.Clear;
     frmListaMultimedia.ListBox1.Clear;
     frmPropriedades.PagesDlg.Show;
     Editor.Lines.Clear;
     Editor.Modified := False; }
     InitializeValues(Sender);
     frmPropriedades.PagesDlg.Show;
     FileName:='SemNome.rtf';
     SetFileName(FileName);
     StatusBar1.Panels[0].Text:=FileName;
end;

(*procedure TfrmPrincipal.processaTexto(el:TIcXMLElement);
var
   elem : TIcXMLElement;
   nodo : TIcXMLNode;
   tag  : String;
   texto: String;
   tmp  : TIcXMLElement;
begin
   elem:=el.GetFirstChild;
   nodo := el.GetFirstNode;
   while  nodo<> nil do
   begin
     if(nodo.GetType=ntText) then
     begin
       frmPrincipal.Editor.Lines.Add(trim(nodo.GetValue));
     end
     else
     begin
       tag:=nodo.GetName;
       texto:=elem.getFirstNode.GetValue;
       elem:= elem.nextSibling;
       frmPrincipal.Editor.Lines.Add(format('<%s>%s</%s>',[tag,texto,tag]));
     end;
     nodo := nodo.Next;
   end;
end;
  *)



procedure TfrmPrincipal.PerformFileOpen(Sender: TObject; const AFileName: string);
var
   x: Boolean;
begin
//  frmListaMultimedia.ListBox1.Clear;
  InitializeValues(Sender);
  Editor.Lines.LoadFromFile(AFileName);
  //frmPrincipal.Editor.
  //   ParseDocTranscricao(documento.getDocumentElement);
  SetFileName(AFileName);
  Editor.SetFocus;
  Editor.Modified := False;
  SetModified(False);
end;


procedure TfrmPrincipal.FileOpenExecute(Sender: TObject);
begin
  CheckFileSave;
  MyMediaPlayer1.Close;
  if OpenDialog1.Execute then
  begin
    PerformFileOpen(Sender,OpenDialog1.FileName);
    Editor.ReadOnly := ofReadOnly in OpenDialog1.Options;
  end;

end;

procedure TfrmPrincipal.FileSaveExecute(Sender: TObject);
begin
     if ( FileName='SemNome.rtf') then
        FileSaveAsExecute(sender)
     else
     begin

         //Editor.Lines.SaveToFile(FileName);
         Editor.PlainText :=true;
         (*if ComboBox1.Items.Count <>0 then
         begin
            frmListaMultimedia.GravarMarcas(AudioFile,
                        TStringList(ComboBox1.items));
         end;     *)
         Editor.Lines.SaveToFile(FileName);
         //doc.SaveToFile(FileName,TStringList(frmListaMultimedia.ListBox1.items),Editor);
         Editor.Modified := False;
         SetModified(False);
     end;
end;

procedure TfrmPrincipal.FileSaveAsExecute(Sender: TObject);
var
   FileName : String;
begin
  if SaveDialog1.Execute then
  begin
    FileName:=SaveDialog1.FileName;
    if FileExists(FileName) then
      if MessageDlg(Format('Pretende escrever por cima de %s', [SaveDialog1.FileName]),
        mtConfirmation, mbYesNoCancel, 0) <> idYes then Exit;
    //Editor.Lines.SaveToFile(SaveDialog1.FileName);
    Editor.PlainText :=true;
    (*if ComboBox1.Items.Count <>0 then
    begin
       frmListaMultimedia.GravarMarcas(AudioFile,
                  TStringList(ComboBox1.items));
    end;
    doc.SaveToFile(FileName,TStringList(frmListaMultimedia.ListBox1.items),Editor); *)
    Editor.Lines.SaveToFile(FileName);
    SetFileName(FileName);
    Editor.Modified := False;
    SetModified(False);
  end;
end;


procedure TfrmPrincipal.FilePrintExecute(Sender: TObject);
begin
  if PrintDialog1.Execute then
    Editor.Print(FileName);
end;

procedure TfrmPrincipal.EditUndoExecute(Sender: TObject);
begin
  with Editor do
    if HandleAllocated then SendMessage(Handle, EM_UNDO, 0, 0);
end;

procedure TfrmPrincipal.EditCutExecute(Sender: TObject);
begin
  Editor.CutToClipboard;
end;

procedure TfrmPrincipal.EditCopyExecute(Sender: TObject);
begin
  Editor.CopyToClipboard;
end;

procedure TfrmPrincipal.EditPasteExecute(Sender: TObject);
begin
  Editor.PasteFromClipboard;
end;

procedure TfrmPrincipal.FileExitExecute(Sender: TObject);
begin
     Close;
end;

procedure TfrmPrincipal.MediaOpenExecute(Sender: TObject);
begin
      frmListaMultimedia.Show;

      //OpenDialog2.InitialDir := LastDir;
      //if (OpenDialog2.Execute) then
      //begin
      //   MyMediaPlayer1.FileName := OpenDialog2.FileName;
      //   MyMediaPlayer1.Open;
         { AudioFile variavel global que guarda o nome do media }
      //   AudioFile:=OpenDialog2.FileName;
     //    LastDir:=AudioFile;
         { Define a trackbar para o Media aberto }
       //  TrackBar1.Max :=MyMediaPlayer1.Length;
       //  TrackBar1.Frequency :=500;

       //  Timer1.Enabled :=true;

       //MyMediaPlayer1.FileName:=frmListaMultimedia.ListBox1.Items.Text;
       //MyMediaPlayer1.Open;
         { AudioFile variavel global que guarda o nome do media }
       //AudioFile:=frmListaMultimedia.ListBox1.Items.Text;
       //LastDir:=AudioFile;
         { Define a trackbar para o Media aberto }
       //TrackBar1.Max :=MyMediaPlayer1.Length;
       //TrackBar1.Frequency :=500;

       //Timer1.Enabled :=true;

end;

procedure TfrmPrincipal.MediaPlayExecute(Sender: TObject);
begin
     if (AudioFile <> '')
     then
     begin
         //frmListaMultimedia.ListBox1DblClick(Sender)
         MyMediaPlayer1.Play;
         Timer1.Enabled :=true;
     end
     else
     begin
         Beep;
         MediaOpenExecute(Sender);
         //MyMediaPlayer1.Play;
     end;
     //Timer1.Enabled :=true;

end;

procedure TfrmPrincipal.MediaPauseExecute(Sender: TObject);
var
   tmp : string;
const
  ModeStr: array[TMPModes] of string = ('Not ready', 'Stopped', 'Playing', 'Recording', 'Seeking', 'Paused', 'Open');
begin
    //tmp:=format('Media Player Mode %s',[ModeStr[MyMediaPlayer1.Mode]]);
    //MessageDlg(tmp , mtInformation,[mbOk], 0);
    if MyMediaPlayer1.Mode = mpStopped
    then
    begin
        MyMediaPlayer1.Play;
        Timer1.Enabled :=true;
    end
    else
    begin
      { Recua X frames na posicao do media }
      MyMediaPlayer1.Position:=MyMediaPlayer1.Position-2000;
      TrackBar1.Position := TrackBar1.Position - 2000;
      MyMediaPlayer1.Pause;
    end;
end;

procedure TfrmPrincipal.MediaStopExecute(Sender: TObject);
begin
  if(AudioFile<>'') then
  begin
     MyMediaPlayer1.Stop;
     MyMediaPlayer1.Rewind;
     Timer1.Enabled :=false;
  end;
end;

procedure TfrmPrincipal.FormDestroy(Sender: TObject);
begin
     MyMediaPlayer1.Close;
     MyMediaPlayer1.free;
end;

procedure TfrmPrincipal.TrackBar1Change(Sender: TObject);
begin
     if (abs(MyMediaPlayer1.Position-TrackBar1.Position) > 1000 )
     then
     begin
        MyMediaPlayer1.Position:=TrackBar1.Position;
        MyMediaPlayer1.Play;
     end;

end;






procedure TfrmPrincipal.FormCreate(Sender: TObject);
begin
     FileName:='SemNome.rtf';
     LastDir:='';
     Editor.Clear;
     Atraso:=5;
     //GetFontNames;
end;


function TfrmPrincipal.AudioPercent( Position, Max : integer):integer;
begin
     AudioPercent:=trunc((Position/Max)*100);
end;
procedure TfrmPrincipal.MediaStartExecute(Sender: TObject);
begin
       MyMediaPlayer1.Rewind;
end;

procedure TfrmPrincipal.MediaFinishExecute(Sender: TObject);
begin
      MyMediaPlayer1.rewind;
end;

procedure TfrmPrincipal.MediaMarkExecute(Sender: TObject);
var
   txtMarca: String;
begin
    if(AudioFile <> '') then
    begin
     MyMediaPlayer1.Pause;
     MyMediaPlayer1.Position:=MyMediaPlayer1.Position-2000;
     frmMarcar.Form1.Label3.Caption  :=format('%s',[AudioTime]);
     frmMarcar.Form1.Show;
     txtMarca:=frmMarcar.Form1.edit1.Text ;
    end;

end;

procedure TfrmPrincipal.ComboBox1Change(Sender: TObject);
begin
     ComboBox1.Update;
end;

procedure TfrmPrincipal.ComboBox1Click(Sender: TObject);
var
   index : integer;
begin
   index:=ComboBox1.ItemIndex;
   MyMediaPlayer1.Position:=Cardinal(ComboBox1.Items.Objects[index]);
   MyMediaPlayer1.Play;
end;









procedure TfrmPrincipal.ActionList1Update(Action: TBasicAction;
  var Handled: Boolean);
begin
 { Update the status of the edit commands }
  EditCut.Enabled := Editor.SelLength > 0;
  EditCopy.Enabled := EditCut.Enabled;
  if Editor.HandleAllocated then
  begin
    EditUndo.Enabled := Editor.Perform(EM_CANUNDO, 0, 0) <> 0;
    EditPaste.Enabled := Editor.Perform(EM_CANPASTE, 0, 0) <> 0;
  end;
end;


procedure TfrmPrincipal.EditorChange(Sender: TObject);
begin
   SetModified(Editor.Modified);

end;


procedure TfrmPrincipal.Sobre1Click(Sender: TObject);
begin
   AboutBox.Show;
end;







procedure TfrmPrincipal.HighlightText(RichEdit:TRichEdit;tag:string);
   var
     Texto    : string;
     Position : integer;
begin
     texto:=richedit.Lines.Text;
     repeat
       Position:=ansipos(tag,texto);
       richedit.SelStart:=Position-1;
       richedit.SelLength:=Length(tag);
       richedit.SelAttributes.Color:=clred;
       texto[Position+1]:=Chr(255);
       Position:=ansipos(tag,texto);
     until (Position=0);
end;


procedure TfrmPrincipal.Timer1Timer(Sender: TObject);
begin
     MyMediaPlayer1Notify(Sender);
end;

procedure TfrmPrincipal.MediaBackExecute(Sender: TObject);
begin
     MyMediaPlayer1.Position:=MyMediaPlayer1.Position -10000;
     MyMediaPlayer1.Play;
end;

procedure TfrmPrincipal.MediaForwardExecute(Sender: TObject);
begin
     MyMediaPlayer1.Position:=MyMediaPlayer1.Position +10000;
     MyMediaPlayer1.Play;
end;


procedure TfrmPrincipal.FormShow(Sender: TObject);
begin
     Splash.Show;
     UpdateCursorPos;
end;

procedure TfrmPrincipal.FilePropriedadesExecute(Sender: TObject);
begin
     frmPropriedades.PagesDlg.Show;
end;

procedure TfrmPrincipal.PlayListExecute(Sender: TObject);
begin
    frmListaMultimedia.Show;
end;

procedure TfrmPrincipal.FontNameChange(Sender: TObject);
begin
  //if FUpdating then Exit;
  //CurrText.Name := FontName.Items[FontName.ItemIndex];
end;

procedure TfrmPrincipal.Font1Click(Sender: TObject);
begin
 if FontDialog1.Execute then
   begin
       Editor.Font:= FontDialog1.Font;
   end;
end;

procedure GotoXY(X,Y : integer);
begin
    frmPrincipal.Editor.SelStart := SendMessage(frmPrincipal.Editor.Handle,
                                                EM_LINEINDEX,
                                                Y - 1,
                                                0)+X;
    frmPrincipal.Editor.SetFocus;
end;

procedure TfrmPrincipal.UpdateCursorPos;
var
  CharPos: TPoint;
begin
  CharPos.Y := SendMessage(Editor.Handle, EM_EXLINEFROMCHAR, 0,Editor.SelStart);
  CharPos.X := (Editor.SelStart - SendMessage(Editor.Handle, EM_LINEINDEX, CharPos.Y, 0));
  Inc(CharPos.Y);
  Inc(CharPos.X);
  StatusBar1.Panels[0].Text := Format(sColRowInfo, [CharPos.Y, CharPos.X]);
  //HighlightTags(Editor,'<pergunta>');
end;

procedure TfrmPrincipal.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  try
    CheckFileSave;
  except
    CanClose := False;
  end;
end;

procedure TfrmPrincipal.EditorSelectionChange(Sender: TObject);
begin
  with Editor.Paragraph do
  try
    FUpdating := True;
    {FirstInd.Left := Trunc(FirstIndent*RulerAdj)-4+GutterWid;
    LeftInd.Left := Trunc((LeftIndent+FirstIndent)*RulerAdj)-4+GutterWid;
    RightInd.Left := Ruler.ClientWidth-6-Trunc((RightIndent+GutterWid)*RulerAdj);
    BoldButton.Down := fsBold in Editor.SelAttributes.Style;
    ItalicButton.Down := fsItalic in Editor.SelAttributes.Style;
    UnderlineButton.Down := fsUnderline in Editor.SelAttributes.Style;
    BulletsButton.Down := Boolean(Numbering);
    FontSize.Text := IntToStr(Editor.SelAttributes.Size);
    FontName.Text := Editor.SelAttributes.Name;
    case Ord(Alignment) of
      0: LeftAlign.Down := True;
      1: RightAlign.Down := True;
      2: CenterAlign.Down := True;
    end; }
    UpdateCursorPos;
  finally
    FUpdating := False;
  end;
end;

procedure TfrmPrincipal.ConfigurarPgina1Click(Sender: TObject);
begin
        PrinterSetupDialog1.Execute;
end;

procedure TfrmPrincipal.EditSelectAllExecute(Sender: TObject);
begin
        Editor.SelectAll;
end;

procedure TfrmPrincipal.EditFindExecute(Sender: TObject);
begin
  FindDialog1.FindText := Editor.SelText;
  //FindDialog1.Position := Point(Editor.Left + Editor.Width, Editor.Top);
  FindDialog1.Execute;
end;

procedure TfrmPrincipal.FindDialog1Find(Sender: TObject);
var
 st: TSearchTypes;
 newpos: integer;
 cd: TFindDialog;
 RichEdit: TRichEdit;
begin
 RichEdit := Editor;
 cd := (Sender as TFindDialog);

 if frMatchCase in cd.Options then
   st := st+[stMatchCase];

 if frWholeWord in cd.Options then
   st := st+[stWholeWord];

 if RichEdit.SelLength > 0 then
   RichEdit.SelStart := RichEdit.SelStart + 1;

 newpos := RichEdit.FindText(cd.FindText,
                    RichEdit.SelStart,
                    Length(RichEdit.Text),
                    st);

 if newpos <> -1 then
   begin
   RichEdit.SelStart := newpos;
   RichEdit.SelLength := Length(cd.FindText);
   end
 else
   begin
   beep;
   MessageDlg('Atingiu o fim do ficheiro.',mtInformation,[mbOK],0);
   RichEdit.SelStart := 0;
   //ShowMessage('Encontrado o fim do documento ');
   end;
end;


procedure TfrmPrincipal.HighLightTags(Sender : TObject);
var
   CharPos : TPoint;
begin
  // obtem posio actual do cursor
  CharPos.Y := SendMessage(Editor.Handle, EM_EXLINEFROMCHAR, 0,Editor.SelStart);
  CharPos.X := (Editor.SelStart - SendMessage(Editor.Handle, EM_LINEINDEX, CharPos.Y, 0));
  Inc(CharPos.Y);
  Inc(CharPos.X);
  GotoXY(CharPos.X,CharPos.Y);
  HighlightText(Editor,'<pergunta>');
  HighlightText(Editor,'</pergunta>');
  HighlightText(Editor,'<resposta>');
  HighlightText(Editor,'</resposta>');
  //Editor.SelLength:=1;
  //Editor.SelAttributes.Color := clBlack;

end;

function UltimaLinha(richEdit : TRichEdit):integer;
begin
  richEdit.SelStart:=Length(richEdit.Lines.Text);
  richEdit.SelLength:=0;
  UltimaLinha := SendMessage(richEdit.Handle, EM_EXLINEFROMCHAR, 0,richEdit.SelStart);
end;



procedure TfrmPrincipal.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
//showmessage(inttostr(ORD('p')));
(*if( (ssAlt in Shift) and
      (Key = 80 ) )then
  begin
     TagPerguntaExecute(Sender);
  end;
if( (ssAlt in Shift) and
      (Key = 82 ) )then
  begin
     TagRespostaExecute(Sender);
  end;
       *)

end;

procedure TfrmPrincipal.EditGoToLineExecute(Sender: TObject);
begin
   form2.show;
end;

procedure TfrmPrincipal.ReplaceDialog1Replace(Sender: TObject);
begin
 SearchContinue := true;

 if Editor.SelLength = 0 then
   FindDialog1Find(Sender)
 else
   begin
   Editor.SelText :=  ReplaceDialog1.ReplaceText;
   FindDialog1Find(Sender);
   end;

 if frReplaceAll in ReplaceDialog1.Options then
   while (Editor.SelLength <> 0) do
     begin
     Application.ProcessMessages;
     if not SearchContinue then
       break;
     ReplaceDialog1Replace(Sender);
     end;
end;

procedure TfrmPrincipal.ReplaceDialog1Close(Sender: TObject);
begin
 SearchContinue := false;
end;

procedure TfrmPrincipal.EditSearchReplaceExecute(Sender: TObject);
begin
 ReplaceDialog1.FindText := Editor.SelText;
 ReplaceDialog1.Execute;
end;

procedure TfrmPrincipal.HighLightExecute(Sender: TObject);
begin
 HighLightTags(Sender);
end;

procedure TfrmPrincipal.MyMediaPlayer1Notify(Sender: TObject);
var
  Hours: Integer;
  Minutes: Integer;
  Seconds: Integer;
  position : integer;
begin
     TrackBar1.Position := MyMediaPlayer1.Position ;
     position:=MyMediaPlayer1.Position;
     AudioPosition := position;
     StatusBar1.Panels[3].Text:=' Copyright(c) 1999-2001 Ncleo Portugus do Museu da Pessoa';
     if MyMediaPlayer1.Mode = mpPlaying
     then
       begin
        position:=position div 1000;
        Hours := position div 3600;
        position := position - 3600*Hours;
        Minutes := position div 60;
        position := position - 60*Minutes;
        Seconds := position;
        AudioTime:= Format('%.2d:%.2d:%.2d', [Hours, Minutes, Seconds]);
        StatusBar1.Panels[2].Text := AudioTime;
     end;
     MyMediaPlayer1.Notify :=true;
end;

end.
